Zum Inhalt

Delete items

Delete a item object from Business Central.

HTTP request

DELETE {businesscentralPrefix}/companies({id})/itemsWebCon({id})

Request headers

Header Value
Authorization Bearer {token}. Required.
If-Match Required. When this request header is included and the eTag provided does not match the current tag on the item, the item will not be updated.

Request body

Do not supply a request body for this method.

Response

If successful, this method returns a 204 No Content response code. It does not return anything in the response body.

Example

Request

Here is an example of the request.

DELETE https://{businesscentralPrefix}/companies({id})/itemsWebCon({id})

Response

Here ist an example of the response.

    HTTP/1.1 204 No Content

See also

Tips for working with the APIs
item
Get item
Create item
Update item